import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增录单
    apporderinput(data) {
        return request({
            url: '/order/input',
            method: 'post',
            data
        })
    },
    //新增后台录单
    apporderinputOrder(data) {
        return request({
            url: '/order/inputOrder',
            method: 'post',
            data
        })
    },
    //查询录单列表
    inquireorderinputList(data) {
        return request({
            url: '/order/input/list',
            method: 'get',
            params: data
        })
    },
    //查询商品列表To录单
    inquiregoodslistToInputList(data) {
        return request({
            url: '/goods/listToInput',
            method: 'get',
            params: data
        })
    },
    //修改订单计费单-单个
    editordersheetedit(data) {
        return request({
            url: '/order/sheet/edit',
            method: 'post',
            data
        })
    },
    //修改录单总单计费单
    editOrdersheetinput(data) {
        return request({
            url: '/order/sheet/input/edit',
            method: 'post',
            data
        })
    },
    //获取录单详细信息
    inquireorderinputdetail(data) {
        return request({
            url: '/order/input/detail',
            method: 'get',
            params: data
        })
    },
    //查询录单详情用户列表
    inquireorderinputuserList(data) {
        return request({
            url: '/order/input/userList',
            method: 'get',
            params: data
        })
    },
    //查询录单用户商品列表
    inquireorderinputuserGoodsList(data) {
        return request({
            url: '/order/input/userGoodsList',
            method: 'get',
            params: data
        })
    },
    //导出错误录入订单
    inquireorderexportWrongInputOrder(data) {
        return request({
            url: '/order/exportWrongInputOrder',
            method: 'post',
            data
        })
    },


}